@charset "UTF-8";
html,body,div,p,span,h1,h2,h3,ul,ol,li{margin:0;padding:0;border:0;border-collapse:collapse;outline:0;list-style:none;background-color:rgb(255,255,255);color:rgb(32,33,36);vertical-align:baseline;overflow-wrap:break-word;word-wrap:break-word;word-break:break-all;font-family:"Helvetica Neue","ヒラギノ角ゴ ProN W3","Hiragino Kaku Gothic ProN","メイリオ",Meiryo,Arial,sans-serif;font-size:16.2px;line-height:1;letter-spacing:0.01em;z-index:0;-webkit-text-size-adjust:100%;}
html,body,div,p{background-color:rgb(254,254,254);}
form,input,button{margin:0;padding:0;border:0;border-radius:0;outline:0;background-color:rgb(254,254,254);color:rgb(32,33,36);vertical-align:baseline;font-family:"Helvetica Neue","ヒラギノ角ゴ ProN W3","Hiragino Kaku Gothic ProN","メイリオ",Meiryo,Arial,sans-serif;font-size:16.2px;line-height:1;letter-spacing:0;-webkit-text-size-adjust:100%;appearance:none;-webkit-appearance:none;}
a:link,a:visited{color:rgb(0,0,43);text-decoration:underline;}
a:hover,a:active{color:rgb(153,0,0);text-decoration:underline;}

/* [上段]トップページに移動する */
nav a{position:relative;display:block;width:100%;height:56px;box-shadow:0 1px 4px 0 rgb(206,206,206), 0 0 0 1px rgb(216,216,216);background-color:rgb(255,255,255);user-select:none;}
nav a::before{content:"";display:inline-block;width:100%;height:100%;background-image:url("logo.png");background-position:left 16px bottom 17px;background-repeat:no-repeat;background-size:70px 25px;}
nav a b{position:absolute;display:inline-block;right:16px;top:15px;bottom:15px;line-height:26px;padding:1px 8px 0 8px;border:solid 1px rgb(220,222,226);border-radius:2px;box-shadow:0 0.5px 0 rgb(206,206,206);background-color:rgb(249,249,249);color:rgb(32,33,36);font-size:calc(16.2px * 0.9);font-weight:normal;text-decoration:none;}
nav a:hover{filter:brightness(93%);}

/* [上段]タイトル・説明文・タグ */
header{padding:24px 16px 24px 16px;line-height:1.6;}
h1{display:block;margin:0 0 10.4px 0;padding:0 0 13.2px 0;border-bottom:solid 1px rgb(220,222,226);background-color:inherit;font-size:calc(16.2px * 1.5);font-weight:bold;line-height:1.6;letter-spacing:0.02em;}
h1 a:link{color:rgb(0,0,43);font-style:normal;text-decoration:none;}
h1 a:hover{text-decoration:underline;}
header p{margin:2px 0 0 0;background-color:inherit;font-weight:bold;line-height:1.6;}
time{font-weight:normal;}
#articleTag a{display:inline-block;height:22px;line-height:22px;padding:2px 8px 0 8px;margin:8.6px 8px 0 0;border:solid 1px rgb(220,222,226);border-radius:2px;background-color:rgb(254,254,254);color:rgb(32,33,36);font-size:calc(16.2px * 0.9);font-weight:normal;text-decoration:none;}
#articleTag a:hover{filter:brightness(93%);}

/* [中段]メイン */
main{display:flex;}
#left{order:2;float:right;width:264px;margin:0 16px 2px 0;border-radius:2px;}
#right{order:1;width:calc(100% - 312px);margin:0 16px 2px 16px;border-radius:2px;}
h2{position:relative;height:44px;line-height:44px;padding:2px 16px 0 16px;box-shadow:0 0 2px 0 rgb(0,62,112), 0 0 0 0.9px rgb(0,62,112);background:linear-gradient(180deg,rgb(0,62,112) 0%,rgb(0,61,111) 100%);color:rgb(249,249,249);font-size:calc(16.2px * 1.02);font-weight:bold;letter-spacing:0.02em;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;user-select:none;}

/* [中段]左側・目次 */
#left ul{margin:0 0 8px 0;box-shadow:0 0 2px 0 rgb(206,206,206), 0 0 0 0.9px rgb(216,216,216);background-color:rgb(255,255,255);}
#left ul li{counter-increment:mokuji;background-color:inherit;}
#left ul li:first-child a{border-top:solid 1px rgb(0,61,111);}
#left ul li a{display:block;padding:18px 16px 14px 16px;border-top:dashed 1px rgb(191,194,202);background-color:inherit;text-decoration:none;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:1;}
#left ul li a::before{display:inline-block;width:30px;content:counter(mokuji,decimal-leading-zero)".\00a0";color:rgb(128,132,144);vertical-align:middle;font-family:serif;font-weight:bold;letter-spacing:0;}
#left ul li a span{display:block;padding:7px 0 0 30px;color:rgb(117,117,117);font-size:small;font-weight:normal;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:0.87;}
#left ul li a:hover{filter:brightness(93%);color:rgb(33,37,41);}
#left > a{text-decoration:none;}
#left h2:hover{filter:brightness(85%);}

/* [中段]右側・本文 */
.rightmenu{padding:14px 16px 13px 16px;box-shadow:0 0 2px 0 rgb(206,206,206), 0 0 0 0.9px rgb(216,216,216);background-color:rgb(255,255,255);}
.rightmenu a:link,.rightmenu a:visited{background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAABTSURBVEhL7dO9DgAQEAPg48m9OYY2EYn4PVO/5QyuXTCRawETUsahk7p765rFUTidlWBpFk77JXVhNZz2SiKmGxVMuRf8eKbk+tFoVHIWLvKCWQGGpw4SIu97LgAAAABJRU5ErkJggg==");background-position:left bottom;background-repeat:repeat-x;background-size:3px;text-decoration:none;}
.rightmenu a:hover{background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAABVSURBVEhL7dNBDgAQDATA5bPe5LUk0kpIBKW3nUsddPcCiJ4FmU0GihwHabp3oy+uwpW1pC3twpWlJJyGq9uSKNMNC7bcC/yfqUzfj6ZWJdZwoh+ACqwXDhK9OAsWAAAAAElFTkSuQmCC");background-position:left bottom;background-repeat:repeat-x;background-size:3px;text-decoration:none;}
.rightmenu li{padding:6px 0 0 0;background-color:inherit;line-height:1.6;}

/* [中段]見出し */
li.headline-1,li.midashi{position:relative;height:33px;line-height:32px;margin-bottom:7px;margin-left:-1em;padding-left:1em;color:rgb(32,33,36);font-size:calc(16.2px * 1.02);font-weight:bold;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;}
li.headline-1::before,li.midashi::before{content:"";position:absolute;display:inline-block;height:32px;left:-1em;width:1em;border-right:solid 8px rgb(0,62,112);}
li.headline-1::after,li.midashi::after{content:"";display:block;border-top:solid 1px rgb(220,222,226);}
li + li.headline-1,li + li.midashi{margin-top:6px;}
h3{display:inline;background-color:inherit;font-size:calc(16.2px * 1.02);font-weight:bold;}

/* [中段]リスト */
li.ten,li.comment,li.annotation{margin-left:1em;text-indent:-1.06em;}
li.ten::before{display:inline-block;content:"";margin:0 7.7px 0 3px;box-sizing:border-box;width:6.4px;height:6.4px;vertical-align:2px;border-radius:50%;background-color:rgb(0,62,112);}
li.url,li.com{margin:2px 0 5px 0;padding:0;}
a.url::after,a.com::after{display:block;margin:5px 0 0 0;color:rgb(117,117,117);font-size:small;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:1;}
li.url + li.url,li.com + li.com{margin-top:16px;padding-top:11px;border-top:solid 1px rgb(220,222,226);}
a.url::after{content:attr(href)"";}
a.com::after{content:attr(data-com)"";}
li.line{margin:9px 0 6px 0;padding:0;border-bottom:solid 1px rgb(220,222,226);line-height:0;}
li.add li.line{margin-top:11px;}
li.add + li.line{margin-top:17px;}
li.search + li.line{margin-top:17px;}
[data-ca1],[data-ca2],[data-ca3],[data-ca4],[data-ca5]{position:relative;}
[data-ca1]::before,[data-ca2]::before,[data-ca3]::before,[data-ca4]::before,[data-ca5]::before{position:absolute;display:inline-block;margin:0;border-right:solid 0.15em rgb(0,62,112);}
[data-ca1]{margin-left:2.3em;}[data-ca1]::before{content:attr(data-ca1)"";left:-2.3em;width:1.50em;}
[data-ca2]{margin-left:3.3em;}[data-ca2]::before{content:attr(data-ca2)"";left:-3.3em;width:2.50em;}
[data-ca3]{margin-left:4.3em;}[data-ca3]::before{content:attr(data-ca3)"";left:-4.3em;width:3.50em;}
[data-ca4]{margin-left:5.3em;}[data-ca4]::before{content:attr(data-ca4)"";left:-5.3em;width:4.50em;}
[data-ca5]{margin-left:6.3em;}[data-ca5]::before{content:attr(data-ca5)"";left:-6.3em;width:5.50em;}
.rightmenu li:first-child{margin-top:0;padding-top:0;}
.rightmenu li:first-child img{margin-top:5px;}
.rightmenu li:last-child{margin-bottom:0;padding-bottom:0;}
.rightmenu li:last-child ul.add{margin-bottom:9px;}
.rightmenu li:last-child ul.code{margin-bottom:8px;}
.rightmenu li.img:last-child{margin-bottom:4px;line-height:1;}

/* [中段]追記 */
ul.add{position:relative;margin:10px 0 0 0;padding:18px 16px 10px 16px;border:solid 1px rgb(220,222,226);border-radius:2px;box-shadow:0 0.5px 0 rgb(206,206,206);background-color:rgb(245,248,250);color:rgb(32,33,36);line-height:1.6;}
ul.add::before{content:attr(data-title)"";position:absolute;top:-0.45em;left:14px;padding:0 2px 0 2px;background:linear-gradient(transparent 36%, rgb(249,249,249) 0%);color:rgb(32,33,36);font-weight:bold;line-height:1;}
ul.add li{background-color:inherit;color:inherit;}
li.add + li{margin-top:6.5px;}

/* [中段]検索 */
form#search{display:flex;width:100%;box-sizing:border-box;margin:3px auto 6px auto;padding:0;border:0;border-radius:2px;box-shadow:0 0.5px 0 rgb(206,206,206);}
form#search:focus,form#search:focus-within{box-shadow:0 0.5px 2px rgb(206,206,206), 0 0 0 1px rgb(216,216,216);}
input#search-i{flex:1 1 auto;width:calc(100% - 80px);box-sizing:border-box;padding:8px 8px 6px 8px;border:solid 2px rgb(44,119,243);border-right:0;border-radius:2px 0 0 2px;outline:0;background-color:rgb(247,247,255);letter-spacing:0.02em;-webkit-appearance:none;}
input#search-i::placeholder{color:rgb(90,90,90);}
input#search-b{width:80px;box-sizing:border-box;border:0;border-radius:0 2px 2px 0;outline:0;background-color:rgb(44,119,243);color:rgb(249,249,249);letter-spacing:0.04em;cursor:pointer;-webkit-appearance:none;}
input#search-b:hover{background-color:rgb(13,95,232);}

/* [中段]メール */
div.mail{padding:12px 0 14px 0;background-color:inherit;line-height:1;}
div.mail b{color:rgb(32,33,36);font-weight:bold;letter-spacing:0;}
div.mail b:nth-child(1){margin:0 8px 0 0;padding:4px 8px 3px 8px;border-radius:2px;background-color:rgb(251,36,36);color:rgb(249,249,249);user-select:none;}
div.mail img{width:calc(1px / 2);height:calc(1px / 2);}

/* [中段]ボタン */
a.link-item{display:inline-block;margin:5px 8px 8px 0;padding:0 16px;border:0;border-radius:2px;background-color:rgb(44,119,243);color:rgb(249,249,249);text-decoration:none;line-height:48.6px;letter-spacing:0.04em;}
a.link-item:link,a.link-item:visited{background-image:url("");background-color:rgb(44,119,243);}
a.link-item:hover{background-image:url("");background-color:rgb(13,95,232);}

/* [中段]ソースコード */
ul.code{counter-reset:line-counter;margin:4px 0 4px 0;border:solid 2px rgb(90,90,90);border-radius:2px;box-shadow:0 0 2px 1px rgb(236,236,236);background-color:rgb(90,90,90);}
ul.code li{counter-increment:line-counter;position:relative;margin-left:2.2em;border-left:solid 1px rgb(204,204,204);padding:0px 16px 0px 16px;background-color:rgb(32,33,36);color:rgb(249,249,249);white-space:normal;overflow:visible;text-overflow:clip;line-height:2;}
ul.code li::before{content:counter(line-counter, decimal-leading-zero);position:absolute;display:inline-block;left:-2.5em;width:2.0em;font-size:calc(16.2px * 0.9);font-family:"Times New Roman",serif;font-weight:bold;text-align:right;}
ul.code li:first-child{padding:0px 16px 0px 16px;border-radius:1px 1px 0 0;}
ul.code li:nth-child(even){background-color:rgb(27,27,27);}
ul.code li:last-child{padding:0px 16px 0px 16px;border-radius:0 0 2px 2px;}
ul.code.white{border:solid 2px rgb(220,222,226);background-color:rgb(220,222,226);}
ul.code.white li{background-color:rgb(249,249,249);color:rgb(32,33,36);}
ul.code.white li:nth-child(even){background-color:rgb(238,238,238);}
li.code + li.code ul.code{margin-top:8px;}

/* [共通]画像 */
img.border{box-shadow:0 1px 4px 0 rgb(206,206,206), 0 0 0 1px rgb(216,216,216);}

/* [下段]ページリンク */
#page{clear:both;padding:16px 0 0 0;background-color:inherit;text-align:center;}
#page div{display:inline-block;margin:0 0 0 16px;}
#page a,#page span{display:inline-block;box-sizing:border-box;width:64px;height:64px;line-height:62px;border:solid 1px rgb(220,222,226);border-radius:2px;background-color:rgb(255,255,255);color:rgb(32,33,36);text-align:center;text-decoration:none;font-weight:bold;letter-spacing:0.04em;user-select:none;}
#page span{background-color:rgb(49,49,49);color:rgb(249,249,249);}
#page div:first-child{margin-left:16px;}
#page div:last-child{margin-right:16px;}
#page a:hover{filter:brightness(85%);}
#page::before{content:"\025c0\00a0前へ";display:inline-block;box-sizing:border-box;height:64px;line-height:62px;font-weight:bold;}
#page::after{content:"次へ\00a0\025b6";display:inline-block;box-sizing:border-box;height:64px;line-height:62px;font-weight:bold;}

/* [下段]サイトリンク */
.link{background-color:inherit;}
.link a{display:inline-block;box-sizing:border-box;height:64px;line-height:64px;border-radius:2px;background-color:rgb(0,0,0);color:rgb(255,255,255);text-align:center;text-decoration:none;font-weight:bold;letter-spacing:0.04em;user-select:none;}
.link a.note{background-color:rgb(65,201,180);box-shadow:0 0 2px 0 rgb(65,201,180), 0 0 0 0.9px rgb(65,201,180);}
.link a.hatena{background-color:rgb(82,121,231);box-shadow:0 0 2px 0 rgb(82,121,231), 0 0 0 0.9px rgb(82,121,231);}
.link a.bsky{background-color:rgb(0,133,255);box-shadow:0 0 2px 0 rgb(0,133,255), 0 0 0 0.9px rgb(0,133,255);}
.link a.insta{background:linear-gradient(135deg,rgb(64,93,230) 0%,rgb(193,53,132) 100%);box-shadow:0 0 2px 0 rgb(64,93,230), 0 0 0 0.9px rgb(193,53,132);}
.link a.note:hover,.link a.hatena:hover,.link a.bsky:hover,.link a.twit:hover,.link a.insta:hover{filter:brightness(85%);}

/* [下段]メニューバー */
footer{clear:both;padding:16px 0 0 0;background-color:inherit;user-select:none;}
div#contactus a{position:relative;display:block;height:76px;line-height:54px;box-shadow:0 -1px 4px 0 rgb(206,206,206), 0 0 0 1px rgb(216,216,216);background-color:rgb(255,255,255);color:rgb(32,33,36);text-align:center;text-decoration:none;font-weight:bold;letter-spacing:0.04em;}
div#contactus a::after{position:absolute;display:block;top:29px;width:100%;content:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAAAPCAYAAAA71pVKAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAABrSURBVDhPpZLRDcAgCESlI7H/DKzUBiMGCGiV94EiHqfGVgE4IOLbswOICOBGKBgxdxvTFL3/GWNndwpfn2JxzRrIuj6dcc4aREJm3lkXIveobpwF7+BzIXTesXT+S0lc+2EcbhqcvFFAax89LTf9agPQHwAAAABJRU5ErkJggg==");text-align:center;}
div#contactus a:hover{filter:brightness(93%);text-decoration:underline;}
div#contactus::after{display:block;box-sizing:border-box;height:76px;line-height:26.6px;padding:12.6px 0 0 0;border-top:dashed 1px rgb(220,222,226);content:"当サイトへのご意見ご指摘は\A上記ページよりお願いします";background-color:rgb(255,255,255);color:rgb(32,33,36);text-align:center;white-space:pre;letter-spacing:0.04em;}
div#goup a{position:relative;display:block;height:76px;line-height:54.2px;background-color:rgb(31,31,31);color:rgb(249,249,249);text-align:center;text-decoration:none;font-weight:bold;letter-spacing:0.04em;}
div#goup a::after{position:absolute;display:block;top:28px;width:100%;content:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA0AAAAQCAYAAADNo/U5AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAABaSURBVDhP7ZFBCgAgCASti/9/rqcCUSh18wPNIUN31YgQIrLsmhgWL04DMydNSlQTonFaVNCE2KgsIIPn9UAGJ9ZHZ3BOnZISgFb3EpTrdCs/H+1E4/8n1RFt0clnM+tVcNQAAAAASUVORK5CYII=");}
div#goup a:hover{filter:brightness(85%);text-decoration:underline;}
div#sitemap a{display:block;height:56px;line-height:56px;padding:0 40px 0 16px;border-top:solid 1px rgb(90,90,90);background-color:rgb(40,41,42);color:rgb(249,249,249);background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAgAAAANCAYAAACUwi84AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAABKSURBVChTlZBBCgAgCATt6P8f67FYCdFSozmt7SASARGZGhKGL5l57GjoQyfZUEnBzqQggFO6BOClvw3tDVkJNFQleP6k4qUI0QJzADO4X+j26gAAAABJRU5ErkJggg==");background-position:right 16px center;background-repeat:no-repeat;text-decoration:none;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;}
div#sitemap a:hover{filter:brightness(138%);text-decoration:underline;}
div#domain a{display:block;height:76px;line-height:76px;border-top:solid 1px rgb(90,90,90);background-color:rgb(31,31,31);color:rgb(249,249,249);text-align:center;text-decoration:none;}
div#domain a:hover{filter:brightness(85%);text-decoration:underline;}

/* [共通]レスポンシブ */
@media screen and (min-width:1258px){
header{width:1208px;margin:0 auto;}
main{width:1240px;margin:0 auto;}
}
@media screen and (min-width:660px) {
#left h2{position:sticky;top:0;z-index:1;}
.link a{display:block;width:100%;margin:16px 0 0 0;}
}
@media screen and (max-width:660px) {
html,body,div,p,span,h1,h2,h3,ul,ol,li,form,input,button{font-size:calc(16.2px * 1.04);}
h1{font-size:calc(16.2px * 1.54);}
h2{font-size:calc(16.2px * 1.06);}
main{display:block;}
div#left{order:1;float:none;width:auto;margin:0;box-shadow:none;}
div#right{order:2;float:none;width:auto;margin:0;}
#left ul{margin:0;box-shadow:none;}
#left ul li:last-child a{padding:18px 16px 24px 16px;}
.rightmenu{box-shadow:none;}
#page{background-color:rgb(255,255,255);border-top:solid 1px rgb(213,213,213);}
#page a,#page span{width:49.2px;height:49.2px;line-height:47.7px;}
#page div:first-child{margin-left:12.3px;}
#page div:last-child{margin-right:12.3px;}
#page::before{height:49.2px;line-height:47.7px;}
#page::after{height:49.2px;line-height:47.7px;}
footer{background-color:rgb(255,255,255);}
.link{padding:0 0 16px 0;border-top:solid 1px rgb(213,213,213);text-align:center;}
.link a{width:calc(114px * 0.77);height:calc(64px * 0.77);line-height:calc(64px * 0.77);margin:16px 4px 0 4px;font-size:calc(16.2px * 0.77);}
}